/*
Theme Name:     K2 - Hodowla Ryb
Theme URI:      n/a
Template:       kadence
Author:         Sezmoo
Author URI:     n/a
Description:    Child Theme Description
Version:        1.0.2
License:        GNU General Public License v3.0 (or later)
License URI:    https://www.gnu.org/licenses/gpl-3.0.html
*/
.grecaptcha-badge {
  visibility: hidden;
}

/* width */
::-webkit-scrollbar {
  width: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
}

.blog,
.archive,
.single-post {
  .content-area {
    margin-top: 0;
    margin-bottom: 100px;
  }
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

body.home {
  #menu-item-319  {
    a {
      &::after {
        display: none;
      }
    }
  }
  .mobile-navigation ul li.current-menu-item.menu-item-319 > a {
    color: rgba(255, 255, 255, 1);
  }
}

.popup-drawer .drawer-overlay {
    background-image: url(/wp-content/uploads/2025/05/high-angle-shot-beautiful-green-fields-surrounded-by-trees-cloudy-sky-1.webp);
    background-size: cover;
    background-position: 72% 53%;
    background-repeat: no-repeat;
}

#processVideoBtn {
  .kb-svg-icon-wrap {
    &::after {
      content: "\e901";
      font-family: 'k2-icons' !important;
      font-style: normal;
      font-weight: normal;
    }

    &.playing {
      &::after {
        content: "\e902";
      }
    }

    svg {
      display: none;
    }
  }
}

.wpcf7 form {
  .wpcf7-response-output {
    border-radius: 0;
    margin: 1rem 0 0 0;
    padding: 6px 12px;
    border: 2px solid #00a0d2;
  }
  &.invalid {
    .wpcf7-response-output {
      color: #721c24;
      background-color: #f8d7da;
      border-color: #f5c6cb;
    }
  }
  &.sent {
    .wpcf7-response-output {
      color: #155724;
      background-color: #d4edda;
      border-color: #c3e6cb;
    }
  }
}

.contact-form-wrapper {
  .wpcf7-form-control-wrap {
    display: flex;
    flex-direction: column;
  }
  .contact-form-inner-wrapper {
    margin: 1rem 0;
    display: grid;
    grid-template-columns: 1fr max-content;
    column-gap: 5rem;

    @media (max-width: 700px) {
      grid-template-columns: 1fr;
      row-gap: 1rem;
    }
  }
  .contact-form-button-wrapper {
    position: relative;
    display: flex;

    .wpcf7-spinner {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }

    @media (max-width: 700px) {
      width: 100%;
      justify-content: flex-end;
      display: flex;
    }
  }
  input[type="email"],
  textarea {
    width: 100%;
    border: 3px solid #fff;
    background-color: transparent;
    border-radius: 0;
    padding: 1.125rem 2rem;
    font-size: 1.125rem;
    line-height: 1.15;
    color: #fff;

    &::placeholder {
      color: #fff;
    }
  }
  textarea {
    height: 165px;
    resize: none;
  }
  input[type="submit"] {
    font-style: italic;
    padding-left: 2rem;
    padding-right: 2rem;
    border: 3px solid #fff;
    max-height: 63px;
  }

  .wpcf7-acceptance {
    .wpcf7-list-item {
      margin: 0;

      label {
        position: relative;
        display: flex;
        padding-left: 32px;

        
      }
      input[type="checkbox"] {
        display: none;

        &:checked + .wpcf7-list-item-label::after {
          visibility: visible;
        }
      }

      .wpcf7-list-item-label {
        color: #fff;

        a {
          color: #fff;
          text-decoration: underline;

          &:hover {
            text-decoration: none;
          }
        }

        &::before {
          content: "";
          position: absolute;
          left: 0;
          height: 24px;
          width: 24px;
          border: 2px solid #fff;
          margin: 0;
          border-radius: 0;
        }

        &::after {
          content: "";
          position: absolute;
          top: 6px;
          left: 6px;
          height: 12px;
          width: 12px;
          background-color: #fff;
          border-radius: 0;
          visibility: hidden;
        }
      }
    }
  }
}

.contact-page {
  .contact-form-wrapper {
    input[type="email"],
    textarea {
      width: 100%;
      border: 3px solid var(--global-palette1);
      background-color: transparent;
      border-radius: 0;
      padding: 1.125rem 2rem;
      font-size: 1.125rem;
      line-height: 1.15;
      color: var(--global-palette1);
  
      &::placeholder {
        color: var(--global-palette1);
      }
    }
    input[type="submit"] {
      border: 3px solid var(--global-palette1);
      color: var(--global-palette1);
    }

    .wpcf7-acceptance {
      .wpcf7-list-item-label {
        color: var(--global-palette1);

        a {
          color: var(--global-palette1);
        }

        &::before {
          border-color: var(--global-palette1);
        }

        &::after {
          background-color: var(--global-palette1);
        }
      }
    }
  }
}

footer {
  position: relative;
  margin-top: -1px;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    opacity: 0.81;
  }

  .site-footer-wrap {
    position: relative;
    background: linear-gradient(120.26deg, rgba(27, 121, 25, 0.47) 23.22%, rgba(49, 223, 46, 0) 67.98%);
  }

  .site-bottom-footer-inner-wrap {
    grid-template-columns: max-content 1fr;
    column-gap: 3rem;

    @media (max-width: 700px) {
      grid-template-columns: 1fr;
      row-gap: 1rem;
    }
  }

  .eu-image {
    display: flex;
    justify-content: flex-end;
    margin-top: 2rem !important;

    a {
      &:hover {
        opacity: .75;
      }
    }
  }

  @media(min-width: 1025px) {
    section#block-6 {
      height: 100%;
      align-items: stretch;
      display: flex;
    }
  }

  @media (max-width: 1199px) {
    .site-bottom-footer-inner-wrap {
      display: flex;
      flex-direction: column-reverse;
      justify-content: center;
      align-items: center;
      row-gap: 1.5rem;

      ul {
        justify-content: center !important;
      }

      .kb-buttons-wrap {
        justify-content: center !important;
      }
    }

    .eu-image {
      justify-content: center;
      margin-bottom: .5rem !important;
    }
  }

  @media(max-width: 1024px) {
    .site-middle-footer-inner-wrap {
      grid-row-gap: 60px
    }
  }

  @media(max-width: 767px) {
    .footer-navigation-wrap {
      display: none;
    }

    .eu-image {
      margin-top: 0 !important;
    }
  }
}


.post-archive.grid-cols {
  gap: 5rem 4rem;
}

.pagination {
  margin-top: 5rem !important;

  .nav-links {    
    .current {
      border-color: #000;
      color: #000;
    }
    .page-numbers {
      border-radius: 5px;
    }
  }
}

.blog,
.catergory {
  .content-area {
    margin-bottom: 8rem;
  }
}

.single-post {
  &.has-sidebar .content-container {
    max-width: 1380px;
    grid-gap: 120px;

    @media (max-width: 1299px) {
      grid-gap: 70px;
    }
  }
  .kb-splide .splide__pagination, .kb-splide ul.splide__pagination.splide__pagination {
    bottom: unset;
    left: unset;
    padding: 0 1em;
    position: relative;
    right: unset;
    z-index: 1;
    margin-top: 1.5rem;
  }

  .primary-sidebar {
    position: relative;

    .sidebar-inner-wrap {
      position: sticky;
      top: 80px;
    }
  }
}

.wp-block-categories-list {
  list-style-type: none;
  display: inline-flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 1rem;
  padding: 0 !important;
  margin: 0;

  li {
    a {
      padding: 10px 36px;
      border: 1px solid var(--global-palette3, #1A202C);
      font-size: 15px;
      line-height: 1;
      display: inline-block;
      box-shadow: rgba(0, 0, 0, 0) 0px 0.0588115px 0.0980192px -7px;
      color: var(--global-palette9, #ffffff);
      background: var(--global-palette3, #1A202C);

      &:hover {
        text-decoration: none;
        color: var(--global-palette3, #1A202C);
        background: var(--global-palette-btn-bg-hover);
      }
    }

    &.current-cat {
      a {
        color: var(--global-palette-btn-hover);
        background: var(--global-palette-btn-bg-hover);
      }
    }
  }
}

.custom-gallery {
  .eb-gallery-img-wrapper.grid {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 20px;

    .eb-gallery-img-content {
      position: relative;
      width: 100%;

      &:nth-of-type(5n+1),
      &:nth-of-type(5n+2) {
        grid-column: span 3; /* First two images span 3 columns (2 in row) */
      }
  
      &:nth-of-type(5n+3),
      &:nth-of-type(5n+4),
      &:nth-of-type(5n) {
        grid-column: span 2; /* Next three images span 2 columns (3 in row) */
      }
    }

    @media (max-width: 767px) {
      grid-template-columns: repeat(2, 1fr);
      grid-template-rows: auto;
      grid-auto-rows: auto;
      gap: 10px;
      
      .eb-gallery-img-content {
 
        grid-column: span 1 !important;

        &:nth-of-type(5n+3) {
          grid-column: span 2 !important;
        }

        .eb-gallery-link-wrapper {
          position: relative;
          height: 0;
          padding-bottom: 75%;
          overflow: hidden;
        }
        img {
          height: 100%;
          width: 100%;
          position: absolute;
          top: 0;
          left: 0;
        }
      }
    }
  }
}

.kadence-video-popup-link {
  .kb-svg-icon-wrap {
    &::after {
      content: "\e900";
      font-family: 'k2-icons' !important;
      color: #fff;
      font-size: 100px;
      opacity: 0.75;
      transition: opacity 0.3s ease-in-out;

      @media(max-width: 767px) {
        font-size: 70px;
      }
    }
    svg {
      display: none;
    }
  }
  &:hover {
    .kb-svg-icon-wrap {
      &::after {
        opacity: 1;
      }
    }
  }
}

h2 {
  @media(max-width: 767px) {
    letter-spacing: 8px;
  }
  mark {
    letter-spacing: 24px;
  
    @media(max-width: 1024px) {
      letter-spacing: 20px
    }
    @media(max-width: 767px) {
      letter-spacing: 8px;
    }
  }
}

.kt-blocks-post-grid-item h2 {
  letter-spacing: 0px;
}

.header-mobile-social-wrap .header-mobile-social-inner-wrap .social-button {
  width: unset;
  height: unset;
  padding: 1rem;
}

.drawer-content .site-header-item {
  margin-bottom: 32px !important;
}

.drawer-content .site-header-item:last-child {
    margin-bottom: 0 !important;
}

.gradient-blur {
  position: absolute;
  top: 0;
  width: 100%;
  height: 275px;
  
  & > div,
  &::before,
  &::after {
    position: absolute;
    top: 0;
    width: 100%;
    height: auto;
    inset: 0;
  }
  
  &::before {
    content: "";
    z-index: 1;
    -webkit-backdrop-filter: blur(4.5px);
    backdrop-filter: blur(4.5px);
    mask: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0) 0%,
      rgba(0, 0, 0, 1) 12.5%,
      rgba(0, 0, 0, 1) 25%,
      rgba(0, 0, 0, 0) 37.5%
    );
  }
  
  & > div:nth-of-type(1) {
    z-index: 2;
    -webkit-backdrop-filter: blur(4px);
    backdrop-filter: blur(4px);
    mask: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0) 12.5%,
      rgba(0, 0, 0, 1) 25%,
      rgba(0, 0, 0, 1) 37.5%,
      rgba(0, 0, 0, 0) 50%
    );
  }
  
  & > div:nth-of-type(2) {
    z-index: 3;
    -webkit-backdrop-filter: blur(2px);
    backdrop-filter: blur(2px);
    mask: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0) 25%,
      rgba(0, 0, 0, 1) 37.5%,
      rgba(0, 0, 0, 1) 50%,
      rgba(0, 0, 0, 0) 62.5%
    );
  }
  
  & > div:nth-of-type(3) {
    z-index: 4;
    -webkit-backdrop-filter: blur(1px);
    backdrop-filter: blur(1px);
    mask: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0) 37.5%,
      rgba(0, 0, 0, 1) 50%,
      rgba(0, 0, 0, 1) 62.5%,
      rgba(0, 0, 0, 0) 75%
    );
  }
  
  & ::after {
    content: "";
    z-index: 8;
    -webkit-backdrop-filter: blur(0.5px);
    backdrop-filter: blur(0.5px);
    mask: linear-gradient(
      to bottom,
      rgba(0, 0, 0, 0) 87.5%,
      rgba(0, 0, 0, 1) 100%
    );
  }
  
  @media(max-width: 767px) {
    height: 185px;
  }
}

.custom-video-block {
  position: relative;
  cursor: pointer;
  &::after {
    content: "\e901";
    font-family: 'k2-icons' !important;
    font-style: normal;
    font-weight: normal;
    position: absolute;
    top: 50%;
    left: 50%;  
    transform: translate(-50%, -50%);
    font-size: 80px;
    line-height: 1;
    color: #fff;
    z-index: 1;
  }

  &.playing,
  &.paused {
    &::after {
      content: none;
    }
  }
}

.drawer-nav-drop-wrap {
  .drawer-sub-toggle {
    position: absolute;
    left: calc(50% + 80px);
    padding-top: 0;
    padding-bottom: 0;
    top: 50%;
    transform: translateY(-50%);
  }
}